local log = {}

---@param msg string
log.trace = function (msg)
    -- internal
end

---@param msg string
log.trace_once = function (msg)
    -- internal
end

---@param msg string
log.debug = function (msg)
    -- internal
end

---@param msg string
log.debug_once = function (msg)
    -- internal
end

---@param msg string
log.info = function (msg)
    -- internal
end

---@param msg string
log.info_once = function (msg)
    -- internal
end

---@param msg string
log.warn = function (msg)
    -- internal
end

---@param msg string
log.warn_once = function (msg)
    -- internal
end

---@param msg string
log.error = function (msg)
    -- internal
end

---@param msg string
log.error_once = function (msg)
    -- internal
end

return log
